﻿$(document).ready(function () { 
    $(".userEmail").select2({
        placeholder: Localization_Search,
        minimumInputLength: 0,
        allowClear: false,
        multiple: true,
        tags: true,
        /*width: 'auto',*/
        dropdownAutoWidth: true,
        tokenSeparators: [',', ';', ' '],
        createTag: function (tag) { //pro vlastni tagy
            if (isValidEmailAddress(tag.term)) { //kontrola validni email adresy
                return {
                    id: tag.term,
                    text: tag.term
                };
            }
            else return null;
        },
        ajax: {
            url: RQ_URL + '/Account/UsersWithEmailForSelect2Ajax',
            type: "POST",
            dataType: 'json',
            delay: 250,
            data: function (params) {
                return {
                    pageSize: 10,
                    pageNum: params.page || 1,
                    term: params.term,
                };
            },
            processResults: function (data, params) {
                params.page = data.PageNum;

                //if (data.PageNum == 1) {
                //    $(specialSendToValues).each(function () {
                //        data.Results.unshift({ id: this.Value, text: this.Text });
                //    });
                //}

                return {
                    results: data.Results,
                    pagination: {
                        more: (data.PageNum * data.PageSize) < data.Total
                    }
                };
            },
            cache: true,
        },
        escapeMarkup: function (markup) { return markup; },
    });
    $('.searchableNotification').select2({ width: '100%', placeholder: Localization_All_Short_Select });
    $('.searchableMailboxes').select2({ width: '100%', placeholder: Localization_All_Short_Select });

    $("#SelectedEmails").val($("#SelectedEmailsDefault").val().split(";")).trigger("change");
    $("#ddlNotificationType").val($("#SelectedNotificationResourceDefault").val().split(";")).trigger("change");
    $("#SelectedMailboxes").val($("#SelectedMailboxesDefault").val().split(";")).trigger("change");
})