﻿$(function () {
    $("ul.sortable").sortable({
        connectWith: "ul.sortable",
        items: "li:not(.column-system)",
        dropOnEmpty: true,
        placeholder: "column-todrop",
        start: function (event, ui) {
            ui.item.startPos = ui.item.index();
        },
        stop: function (event, ui) {

            //alert("New position: " + ui.item.index());
            //alert(ui.item.find(".hiddenColumnFieldType").val());

            //make new model binding and new index values in selected area
            $(".my-columns-table-header ul.sortable").each(function (rowIndex) {
                $(this).children("li").each(function (columnIndex) {
                    //alert($(this).find(".hiddenColumnFieldType").val());

                    if ($(this).closest("ul.sortable"))

                    var namePrefix = "SelectedCustomColumns[" + rowIndex + "][" + columnIndex + "]"; //new model binding into List<List<>> - neccessarry for new array (adding, removing from other ul)

                    $(this).find(".hiddenColumnFieldType").attr("name", namePrefix + ".ColumnFieldType")
                    $(this).find(".hiddenCustomFieldId").attr("name", namePrefix + ".CustomFieldId")
                    $(this).find(".hiddenCustomFormFieldId").attr("name", namePrefix + ".CustomFormFieldId")
                    $(this).find(".hiddenSlaId").attr("name", namePrefix + ".SlaId")
                    $(this).find(".hiddenPriorityId").attr("name", namePrefix + ".PriorityId")
                    $(this).find(".hiddenGroupByTitle").attr("name", namePrefix + ".GroupByTitle")
                    $(this).find(".hiddenRowIndex").attr("name", namePrefix + ".RowIndex").val(rowIndex);
                    $(this).find(".hiddenColumnIndex").attr("name", namePrefix + ".ColumnIndex").val(columnIndex);
                });
            });

            //disable model binding in non selected area
            $(".my-columns-available ul.sortable li").each(function (rowIndex) {
                $(this).find(".hiddenColumnFieldType").removeAttr("name")
                $(this).find(".hiddenCustomFieldId").removeAttr("name")
                $(this).find(".hiddenCustomFormFieldId").removeAttr("name")
                $(this).find(".hiddenSlaId").removeAttr("name")
                $(this).find(".hiddenPriorityId").removeAttr("name")
                $(this).find(".hiddenGroupByTitle").removeAttr("name")
                $(this).find(".hiddenRowIndex").removeAttr("name").val(0);
                $(this).find(".hiddenColumnIndex").removeAttr("name").val(0);
            });
        }
    });

    $("ul.sortable").disableSelection();
});